## Why?

The Command Artifact is too strong, but having better control over your build is fun.

This mod gives you more control over your run while not being imba

A similar mod exists but does not have the configurability or additional QOL this does

## What it do?

This mod changes the amount of options that you can choose from the Command Essences that drop with the Command Artifact.

Also provides some QOL options like having the Bazaar and Terminal shops drop the item they are displaying


## Config

Improved Command Essence is highly configurable, you can change the amount of options you can choose from for each tier individually 

### Defaults:
#### You can change the option amount for each tier
| Rarity/Tier             |    Options      |
|----------|:-------------:|
| Common (White)   |  6 |
| Uncommon (Green) |  4  |
| Legendary (Red)  |  2 |
| Lunar (Blue)  |  2 |
| Boss (Yellow)  |  2 |
| Equipment (Orange)  |  4 |
| Void (Purple)  |  2 |

(All void tiers use the same config)<br />
(Lunar items and lunar equipment use the same config)

#### Toggle Options
| Name             |    default      | Description |
|----------|:-------------:|------------|
| keepCategory   |  true | If true Category Chests will only contain options of the same category |
| onInBazaar   |  false | If false item drops in the Bazaar will drop as the actual item not a Command Essence |
| onInDropShip |  false  | If false item drops from terminals (like the Drop Ship) will drop as the actual item not a Command Essence |
| sameBossDrops | true | If true the Command Essences dropped from the teleporter boss of the same rarity will contain the same options |
| onForTrophy | false | If false bosses killed with the Trophy Hunter's Tricorn will drop the related item and not a Command Essence |

(Note that Category chests are bugged in v1.2.2.0 and will only contain item with ONLY the same tag. Use https://thunderstore.io/package/Cercain/FixedCategoryChests/ to fix this)<br/>
(By default the only Terminal Shops that spawn in Command runs are Drop Ships but this toggle affects all of them)


## Changelog

**1.1.1**

* (BugFix) Lunar Coins now drop correctly
* (BugFix) Special items like Aspects and the Halcyon Seed now correctly drop as their items instead of Command Essences

**1.1.0**

* (Togglable) Command Essences dropped from the teleporter boss of the same rarity to contain the same options
* (Togglable) Trophy Hunter's Tricorn to drop the related boss item not the command essence

**1.0.1**

* Hook fix

**1.0.0**

* Initial Release

## Known Bugs & Compatability Issues

* ZetAspects - Currently incompatible with Aspects dropping as Red Item (works fine when set to drop as Equipment)

## Future Plans

* Add a toggle for Scrappers and Printers to be able to spawn and for printers to drop the item
* Add an option to make Command Essences have a chance to drop instead of being 100%
* Add a toggle to make Casino Chests drop the item not a Command Essence

## Contact for bugs and suggestions

Lilly.Varous#7620 on Discord